Delete Upgrade Bundle
Delete Upgrade Bundle
Deletes the previously uploaded upgrade bundle.
Request
URI
DELETE
https://{server}:9443/api/admin/v2/upgrade/bundle
COPY
Authentication
This operation uses the following authentication methods.
Responses
200
Upgrade bundle deleted successfully
Operation doesn't return any data structure
500
Internal server error
Returns
UpgradeErrorResponse
of type(s)
application/json
{
"errorCode": "UPGRADE_IN_PROGRESS",
"message": "Another upgrade process for HCX Manager is already in progress.",
"remediation": "Wait for the current upgrade to complete before retrying."
}
string
errorCode
Optional
The error code
string
message
Optional
The localized error message
string
remediation
Optional
Remediation for the error
Code Samples
COPY
curl -X DELETE -H 'Authorization: <value>' https://{api_host}/api/admin/v2/upgrade/bundle
System Upgrade Operations
POST
Upload Bundle
GET
Get Bundle Upload Status
DELETE
Delete Upgrade Bundle
POST
Start Upgrade
GET
Get Upgrade Status